Package org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.antlr3

# Class ParserWrapper

java.lang.Object
org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.ParserWrapper
org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.antlr3.ParserWrapper

public class ParserWrapper extends ParserWrapper

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.ParserWrapper

`pack, runtime, TT_COMMENT, TT_NL, TT_WS`

## Constructor Summary

Constructors
Constructor
Description
`ParserWrapper()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEndOffset(Object token)`
`Object`
`getLastToken()`
`String`
`getLocation(Object token)`
`int`
`getStartOffset(Object token)`
`Object`
`parse(int tabSize, String name, String productionRule, Reader isr, Map params)`
`void`
`reportError(Exception e)`
`void`
`setCommentsAfter(Object ame, Object params_)`
`void`
`setCommentsBefore(Object ame, Object params_)`
sets the comments before a model element.

### Methods inherited from class org.eclipse.m2m.atl.dsls.tcs.injector.wrappers.ParserWrapper

`setRuntime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserWrapper

public ParserWrapper()

## Method Details

### parse

public Object parse(int tabSize, String name, String productionRule, Reader isr, Map params) throws Exception

Specified by:
  `parse` in class `ParserWrapper`
Throws:
  `Exception`

### reportError

public void reportError(Exception e)

Specified by:
  `reportError` in class `ParserWrapper`

### setCommentsBefore

public void setCommentsBefore(Object ame, Object params_)
sets the comments before a model element. the input is the current stream. the index is the index of the current token

Specified by:
  `setCommentsBefore` in class `ParserWrapper`

### setCommentsAfter

public void setCommentsAfter(Object ame, Object params_)

Specified by:
  `setCommentsAfter` in class `ParserWrapper`

### getLocation

public String getLocation(Object token)

Specified by:
  `getLocation` in class `ParserWrapper`

### getStartOffset

public int getStartOffset(Object token)

Specified by:
  `getStartOffset` in class `ParserWrapper`

### getEndOffset

public int getEndOffset(Object token)

Specified by:
  `getEndOffset` in class `ParserWrapper`

### getLastToken

public Object getLastToken()

Specified by:
  `getLastToken` in class `ParserWrapper`